Kloud software update

  • Priority – High
  • Affecting – Kloud Backup Software
  • We view security as supremely important and so on 27th November 2017 older versions of the Kloud Desktop software, that do not support TLS 1.2, will no longer connect to our service.Please make sure you have upadated to version 1.16 (Windows) or 1.18 (Mac), by the 27th November or you may experience loss of service.
  • To update your software right click the Kloud icon in the system tray and select “settings”, then  click “check for updates” which will then update you to the latest version.